LibreOffice: XStringSubstitution Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XStringSubstitution Interface Referencepublished

A common interface for substituting string variables with other strings. More...

`import"XStringSubstitution.idl";`

Inheritance diagram for XStringSubstitution:

## Public Member Functions
string | substituteVariables ([in] string aText, [in] boolean bSubstRequired) raises ( com::sun::star::container::NoSuchElementException )
| Exchanges variables inside a given text with a substitution text defined for the variables. More...
string | reSubstituteVariables ([in] string aText)
| Tries to replace parts of aText with variables that represents these sub strings. More...
string | getSubstituteVariableValue ([in] string variable) raises (::com::sun::star::container::NoSuchElementException )
| Returns the current value of a variable. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A common interface for substituting string variables with other strings.

The substitution algorithm and the syntax for a string variable are not part of this interface definition. Please look at the documentation of the implementation that must specify these parameters.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getSubstituteVariableValue()

string getSubstituteVariableValue | ( | [in] string | variable | ) |
raises | ( | ::com::sun::star::container::NoSuchElementException
| ) |  |

Returns the current value of a variable.

The method iterates through its internal variable list and tries to find the given variable. If the variable is unknown a com::sun::star::container::NoSuchElementException is thrown.

Parameters

  variable | The name of a variable.

Returns
  Returns a string that represents the variable. If the variable is unknown a com::sun::star::container::NoSuchElementException is thrown.

## ◆ reSubstituteVariables()

string reSubstituteVariables | ( | [in] string | aText | ) |

Tries to replace parts of aText with variables that represents these sub strings.

The method iterates through its internal variable list and tries to match parts of the given string Tries to replace parts of aText with variables that represents these sub strings.If more than one variable matches the one with the longest matching sub string will be chosen.

Parameters

  aText | A string where known substrings should be replaced by variables.

Returns
  Returns the resubstituted string with variables for all parts that could be replaced. The unchanged argument will be returned if nothing can be resubstituted.

## ◆ substituteVariables()

string substituteVariables | ( | [in] string | aText,
|  | [in] boolean | bSubstRequired
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Exchanges variables inside a given text with a substitution text defined for the variables.

The method iterates through its internal variables list to match the variables in the given string. A match replaces the variable with the string defined for this variable. If no variable can be found in the string it will be returned unchanged. The behavior if a variable is found in the string but it is unknown for the implementation depends on the parameter bSubstRequired.

Parameters

  aText | A string containing variables that should be substituted.
  bSubstRequired | Specifies if a successful substitution is required. The function throws a com::sun::star::container::NoSuchElementException if it finds a variable that is unknown. In this case it is possible that the returned string would not be what the caller expected!

Returns
  Returns a string based on aText where all variables were exchanged with their value defined at calling time.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XStringSubstitution.idl